Install ANSYS License Manager on 32 bit Server

  • 248 Views
  • Last Post 06 December 2018
odufsae posted this 05 December 2018

Hello,

I am having trouble installing the ANSYS license manager onto our server. I am running Linux i686 which is 32 bit and the downloads only offer downloads for Linux x64.  I realized there was an issue when I tried to execute the binary and it said 

 bash: ./ansysli_server: cannot execute binary file

We have been fine using other flexlm products with this system.  All the software we use is true 64 bit, but the license server isn't.  

Here is our OS information:

OS & Level

Redhat Enterprise Linux 5

Kernel and CPU 

Linux 2.6.18-419.el5 on i686 

Is there any way to get the license manager installed onto our server?   Thank you!

Order By: Standard | Newest | Votes
tsiriaks posted this 06 December 2018

Hi odufsae ,

Unfortunately, we don't currently offer 32-bit version of either License Manager or any ANSYS applications.

You can refer to this page for platform support dated back to 16.0

https://www.ansys.com/solutions/solutions-by-role/it-professionals/platform-support/previous-releases

 

The last version that we offered 32-bit version, I believe, was around 14.x or 15.x.

What is the version of the ANSYS applications that you are trying to use ? Also , what ANSYS applications (Mechanical, Fluids, or Electronics products) ?

Thanks,

Win

odufsae posted this 06 December 2018

Hello,

We are trying to install the 19.2 version of Mechanical and Fluids. 

 

odufsae posted this 06 December 2018

So no actual software is going to be installed on our license server.  Only the license manager.  Could we have the license manager for the 32 bit version from the last release offered in 32 bit?  This would be the non-gui install method.  The administrator just needs the tar file and he does everything from the command prompt.

tsiriaks posted this 06 December 2018

Hi odufsae ,

Unfortunately, for Mechanical or Fluids products, it requires the License Manager to have the same or newer major release version. For example, if you want to use Mech or Fluids v17.2, the License Manager version must be v17.0 or newer. So, this won't work with the machine that you are using as the license server.

Is there any other machine that you can use to set this up ? It doesn't require much resource for License Manager to run properly, ref (you need ANSYS Customer Portal login) 

https://support.ansys.com/portal/site/AnsysCustomerPortal/template.fss?file=/ANSYS+Customer+Portal/staticassets/GettingStarted/R19.2-ANSYS-LM-Server-Hardware-Network-Req.pdf

Thanks,

Win

Close